#
# spec file for package nodejs-node-gyp
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name node-gyp

Name:           nodejs-node-gyp
Version:        2.0.2
Release:        15.1
Summary:        Node.js native addon build tool
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/TooTallNate/node-gyp
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
Source1:        addon-rpm.gypi
# use RPM installed headers by default instead of downloading a source tree
# for the currently running node version
Patch:          node-gyp-addon-gypi.patch
BuildRequires:  nodejs-packaging
Requires:       gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
node-gyp is a cross-platform command-line tool written in Node.js for compiling native addon modules for Node.js. It bundles the gyp project used by the Chromium team and takes away the pain of dealing with the various differences in build platforms. It is the replacement to the node-waf program which is removed for node v0.8. If you have a native addon for node that still has a wscript file, then you should definitely add a binding.gyp file to support the latest versions of node.

%prep
%setup -q -n package
%patch -p1
%nodejs_fixdep minimatch '^2.0.8'
%nodejs_fixdep tar '^2.1.1'

find . -name "*.orig" -delete -print

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr addon.gypi %{SOURCE1} package.json bin lib gyp \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_modulesdir}/%{base_name}/bin/node-gyp.js %{buildroot}%{_bindir}/node-gyp

%files
%defattr(-,root,root,-)
%doc README.md LICENSE History.md
%{_bindir}/node-gyp
%{nodejs_modulesdir}/%{base_name}

%changelog
* Wed Jul 29 2015 i@marguerite.su
- update version 2.0.2
- fix boo#937101: tar, minimatch versions
* Sat Jun 27 2015 i@marguerite.su
- update version 2.0.1
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 1.0.3
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Wed Sep 24 2014 i@marguerite.su
- added addon-rpm.gypi
- added node-gyp-addon-gypi.patch
  * use RPM installed headers by default instead of downloading
    a source tree for the currently running node version
* Mon Sep 22 2014 i@marguerite.su
- update version 1.0.2
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
